diff --git a/src/test/recovery/t/012_subtransactions.pl b/src/test/recovery/t/012_subtransactions.pl
index efc23d0..6bd3a5b 100644
--- a/src/test/recovery/t/012_subtransactions.pl
+++ b/src/test/recovery/t/012_subtransactions.pl
@@ -13,7 +13,8 @@ $node_master->append_conf(
 	'postgresql.conf', qq(
 	max_prepared_transactions = 10
 	log_checkpoints = true
-));
+)
+);
 $node_master->start;
 $node_master->backup('master_backup');
 $node_master->psql('postgres', "CREATE TABLE t_012_tbl (id int)");
@@ -28,7 +29,8 @@ $node_standby->start;
 $node_master->append_conf(
 	'postgresql.conf', qq(
 	synchronous_standby_names = '*'
-));
+)
+);
 $node_master->psql('postgres', "SELECT pg_reload_conf()");
 
 my $psql_out = '';
@@ -55,7 +57,8 @@ $node_master->psql(
 	SAVEPOINT s5;
 	INSERT INTO t_012_tbl VALUES (43);
 	PREPARE TRANSACTION 'xact_012_1';
-	CHECKPOINT;");
+	CHECKPOINT;"
+);
 
 $node_master->stop;
 $node_master->start;
@@ -66,12 +69,14 @@ $node_master->psql(
 	BEGIN;
 	INSERT INTO t_012_tbl VALUES (142);
 	ROLLBACK;
-	COMMIT PREPARED 'xact_012_1';");
+	COMMIT PREPARED 'xact_012_1';"
+);
 
 $node_master->psql(
 	'postgres',
 	"SELECT count(*) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '6', "Check nextXid handling for prepared subtransactions");
 
 ###############################################################################
@@ -94,18 +99,21 @@ $node_master->psql(
         PERFORM hs_subxids(n - 1);
         RETURN;
     EXCEPTION WHEN raise_exception THEN NULL; END;
-    \$\$;");
+    \$\$;"
+);
 $node_master->psql(
 	'postgres', "
 	BEGIN;
 	SELECT hs_subxids(127);
-	COMMIT;");
+	COMMIT;"
+);
 $node_master->wait_for_catchup($node_standby, 'replay',
 	$node_master->lsn('insert'));
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '8128', "Visible");
 $node_master->stop;
 $node_standby->promote;
@@ -113,7 +121,8 @@ $node_standby->promote;
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '8128', "Visible");
 
 # restore state
@@ -122,12 +131,14 @@ $node_standby->enable_streaming($node_master);
 $node_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $node_standby->start;
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '8128', "Visible");
 
 $node_master->psql('postgres', "DELETE FROM t_012_tbl");
@@ -145,18 +156,21 @@ $node_master->psql(
         PERFORM hs_subxids(n - 1);
         RETURN;
     EXCEPTION WHEN raise_exception THEN NULL; END;
-    \$\$;");
+    \$\$;"
+);
 $node_master->psql(
 	'postgres', "
 	BEGIN;
 	SELECT hs_subxids(127);
-	PREPARE TRANSACTION 'xact_012_1';");
+	PREPARE TRANSACTION 'xact_012_1';"
+);
 $node_master->wait_for_catchup($node_standby, 'replay',
 	$node_master->lsn('insert'));
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '-1', "Not visible");
 $node_master->stop;
 $node_standby->promote;
@@ -164,7 +178,8 @@ $node_standby->promote;
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '-1', "Not visible");
 
 # restore state
@@ -173,7 +188,8 @@ $node_standby->enable_streaming($node_master);
 $node_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $node_standby->start;
 $psql_rc = $node_master->psql('postgres', "COMMIT PREPARED 'xact_012_1'");
 is($psql_rc, '0',
@@ -183,7 +199,8 @@ is($psql_rc, '0',
 $node_master->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '8128', "Visible");
 
 $node_master->psql('postgres', "DELETE FROM t_012_tbl");
@@ -191,13 +208,15 @@ $node_master->psql(
 	'postgres', "
 	BEGIN;
 	SELECT hs_subxids(201);
-	PREPARE TRANSACTION 'xact_012_1';");
+	PREPARE TRANSACTION 'xact_012_1';"
+);
 $node_master->wait_for_catchup($node_standby, 'replay',
 	$node_master->lsn('insert'));
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '-1', "Not visible");
 $node_master->stop;
 $node_standby->promote;
@@ -205,7 +224,8 @@ $node_standby->promote;
 $node_standby->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '-1', "Not visible");
 
 # restore state
@@ -214,7 +234,8 @@ $node_standby->enable_streaming($node_master);
 $node_standby->append_conf(
 	'recovery.conf', qq(
 recovery_target_timeline='latest'
-));
+)
+);
 $node_standby->start;
 $psql_rc = $node_master->psql('postgres', "ROLLBACK PREPARED 'xact_012_1'");
 is($psql_rc, '0',
@@ -224,5 +245,6 @@ is($psql_rc, '0',
 $node_master->psql(
 	'postgres',
 	"SELECT coalesce(sum(id),-1) FROM t_012_tbl",
-	stdout => \$psql_out);
+	stdout => \$psql_out
+);
 is($psql_out, '-1', "Not visible");
diff --git a/src/test/recovery/t/013_crash_restart.pl b/src/test/recovery/t/013_crash_restart.pl
index d8ef22f..5648d26 100644
--- a/src/test/recovery/t/013_crash_restart.pl
+++ b/src/test/recovery/t/013_crash_restart.pl
@@ -34,33 +34,40 @@ $node->safe_psql(
 	'postgres',
 	q[ALTER SYSTEM SET restart_after_crash = 1;
 				   ALTER SYSTEM SET log_connections = 1;
-				   SELECT pg_reload_conf();]);
+				   SELECT pg_reload_conf();]
+);
 
 # Run psql, keeping session alive, so we have an alive backend to kill.
 my ($killme_stdin, $killme_stdout, $killme_stderr) = ('', '', '');
 my $killme = IPC::Run::start(
-	[   'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
-		$node->connstr('postgres') ],
+	[
+		'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
+		$node->connstr('postgres')
+	],
 	'<',
 	\$killme_stdin,
 	'>',
 	\$killme_stdout,
 	'2>',
 	\$killme_stderr,
-	$psql_timeout);
+	$psql_timeout
+);
 
 # Need a second psql to check if crash-restart happened.
 my ($monitor_stdin, $monitor_stdout, $monitor_stderr) = ('', '', '');
 my $monitor = IPC::Run::start(
-	[   'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
-		$node->connstr('postgres') ],
+	[
+		'psql', '-X', '-qAt', '-v', 'ON_ERROR_STOP=1', '-f', '-', '-d',
+		$node->connstr('postgres')
+	],
 	'<',
 	\$monitor_stdin,
 	'>',
 	\$monitor_stdout,
 	'2>',
 	\$monitor_stderr,
-	$psql_timeout);
+	$psql_timeout
+);
 
 #create table, insert row that should survive
 $killme_stdin .= q[
@@ -108,12 +115,14 @@ is($ret, 0, "killed process with SIGQUIT");
 $killme_stdin .= q[
 SELECT 1;
 ];
-ok( pump_until(
+ok(
+	pump_until(
 		$killme,
 		\$killme_stderr,
 		qr/WARNING:  terminating connection because of crash of another server process|server closed the connection unexpectedly/m
 	),
-	"psql query died successfully after SIGQUIT");
+	"psql query died successfully after SIGQUIT"
+);
 $killme_stderr = '';
 $killme_stdout = '';
 $killme->finish;
@@ -121,21 +130,26 @@ $killme->finish;
 # Wait till server restarts - we should get the WARNING here, but
 # sometimes the server is unable to send that, if interrupted while
 # sending.
-ok( pump_until(
+ok(
+	pump_until(
 		$monitor,
 		\$monitor_stderr,
 		qr/WARNING:  terminating connection because of crash of another server process|server closed the connection unexpectedly/m
 	),
-	"psql monitor died successfully after SIGQUIT");
+	"psql monitor died successfully after SIGQUIT"
+);
 $monitor->finish;
 
 # Wait till server restarts
-is( $node->poll_query_until(
+is(
+	$node->poll_query_until(
 		'postgres',
 		'SELECT $$restarted after sigquit$$;',
-		'restarted after sigquit'),
+		'restarted after sigquit'
+	),
 	"1",
-	"reconnected after SIGQUIT");
+	"reconnected after SIGQUIT"
+);
 
 
 # restart psql processes, now that the crash cycle finished
@@ -192,21 +206,26 @@ is($ret, 0, "killed process with KILL");
 $killme_stdin .= q[
 SELECT 1;
 ];
-ok( pump_until(
+ok(
+	pump_until(
 		$killme, \$killme_stderr,
-		qr/server closed the connection unexpectedly/m),
-	"psql query died successfully after SIGKILL");
+		qr/server closed the connection unexpectedly/m
+	),
+	"psql query died successfully after SIGKILL"
+);
 $killme->finish;
 
 # Wait till server restarts - we should get the WARNING here, but
 # sometimes the server is unable to send that, if interrupted while
 # sending.
-ok( pump_until(
+ok(
+	pump_until(
 		$monitor,
 		\$monitor_stderr,
 		qr/WARNING:  terminating connection because of crash of another server process|server closed the connection unexpectedly/m
 	),
-	"psql monitor died successfully after SIGKILL");
+	"psql monitor died successfully after SIGKILL"
+);
 $monitor->finish;
 
 # Wait till server restarts
@@ -214,30 +233,38 @@ is($node->poll_query_until('postgres', 'SELECT 1', '1'),
 	"1", "reconnected after SIGKILL");
 
 # Make sure the committed rows survived, in-progress ones not
-is( $node->safe_psql('postgres', 'SELECT * FROM alive'),
+is(
+	$node->safe_psql('postgres', 'SELECT * FROM alive'),
 	"committed-before-sigquit\ncommitted-before-sigkill",
-	'data survived');
+	'data survived'
+);
 
-is( $node->safe_psql(
+is(
+	$node->safe_psql(
 		'postgres',
 		'INSERT INTO alive VALUES($$before-orderly-restart$$) RETURNING status'
 	),
 	'before-orderly-restart',
-	'can still write after crash restart');
+	'can still write after crash restart'
+);
 
 # Just to be sure, check that an orderly restart now still works
 $node->restart();
 
-is( $node->safe_psql('postgres', 'SELECT * FROM alive'),
+is(
+	$node->safe_psql('postgres', 'SELECT * FROM alive'),
 	"committed-before-sigquit\ncommitted-before-sigkill\nbefore-orderly-restart",
-	'data survived');
+	'data survived'
+);
 
-is( $node->safe_psql(
+is(
+	$node->safe_psql(
 		'postgres',
 		'INSERT INTO alive VALUES($$after-orderly-restart$$) RETURNING status'
 	),
 	'after-orderly-restart',
-	'can still write after orderly restart');
+	'can still write after orderly restart'
+);
 
 $node->stop();
 
diff --git a/src/test/recovery/t/014_unlogged_reinit.pl b/src/test/recovery/t/014_unlogged_reinit.pl
index 103c0a2..8fe8ea6 100644
--- a/src/test/recovery/t/014_unlogged_reinit.pl
+++ b/src/test/recovery/t/014_unlogged_reinit.pl
@@ -67,15 +67,23 @@ ok(-f "$pgdata/${baseUnloggedPath}_init", 'init fork in base still exists');
 ok(-f "$pgdata/$baseUnloggedPath", 'main fork in base recreated at startup');
 ok(!-f "$pgdata/${baseUnloggedPath}_vm",
 	'vm fork in base removed at startup');
-ok( !-f "$pgdata/${baseUnloggedPath}_fsm",
-	'fsm fork in base removed at startup');
+ok(
+	!-f "$pgdata/${baseUnloggedPath}_fsm",
+	'fsm fork in base removed at startup'
+);
 
 # check unlogged table in tablespace
-ok( -f "$pgdata/${ts1UnloggedPath}_init",
-	'init fork still exists in tablespace');
+ok(
+	-f "$pgdata/${ts1UnloggedPath}_init",
+	'init fork still exists in tablespace'
+);
 ok(-f "$pgdata/$ts1UnloggedPath",
 	'main fork in tablespace recreated at startup');
-ok( !-f "$pgdata/${ts1UnloggedPath}_vm",
-	'vm fork in tablespace removed at startup');
-ok( !-f "$pgdata/${ts1UnloggedPath}_fsm",
-	'fsm fork in tablespace removed at startup');
+ok(
+	!-f "$pgdata/${ts1UnloggedPath}_vm",
+	'vm fork in tablespace removed at startup'
+);
+ok(
+	!-f "$pgdata/${ts1UnloggedPath}_fsm",
+	'fsm fork in tablespace removed at startup'
+);
diff --git a/src/test/ssl/ServerSetup.pm b/src/test/ssl/ServerSetup.pm
index 5ca9e0d..ced279c 100644
--- a/src/test/ssl/ServerSetup.pm
+++ b/src/test/ssl/ServerSetup.pm
@@ -43,7 +43,8 @@ sub test_connect_ok
 	my $cmd = [
 		'psql', '-X', '-A', '-t', '-c',
 		"SELECT \$\$connected with $connstr\$\$",
-		'-d', "$common_connstr $connstr" ];
+		'-d', "$common_connstr $connstr"
+	];
 
 	command_ok($cmd, $test_name);
 }
@@ -55,7 +56,8 @@ sub test_connect_fails
 	my $cmd = [
 		'psql', '-X', '-A', '-t', '-c',
 		"SELECT \$\$connected with $connstr\$\$",
-		'-d', "$common_connstr $connstr" ];
+		'-d', "$common_connstr $connstr"
+	];
 
 	command_fails_like($cmd, $expected_stderr, $test_name);
 }
diff --git a/src/test/ssl/t/001_ssltests.pl b/src/test/ssl/t/001_ssltests.pl
index e550207..71dfbb3 100644
--- a/src/test/ssl/t/001_ssltests.pl
+++ b/src/test/ssl/t/001_ssltests.pl
@@ -62,7 +62,8 @@ close $sslconf;
 
 command_fails(
 	[ 'pg_ctl', '-D', $node->data_dir, '-l', $node->logfile, 'restart' ],
-	'restart fails with password-protected key file with wrong password');
+	'restart fails with password-protected key file with wrong password'
+);
 $node->_update_pid(0);
 
 open $sslconf, '>', $node->data_dir . "/sslconfig.conf";
@@ -94,24 +95,28 @@ $common_connstr =
 test_connect_fails(
 	$common_connstr, "sslmode=disable",
 	qr/\Qno pg_hba.conf entry\E/,
-	"server doesn't accept non-SSL connections");
+	"server doesn't accept non-SSL connections"
+);
 
 # Try without a root cert. In sslmode=require, this should work. In verify-ca
 # or verify-full mode it should fail.
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=invalid sslmode=require",
-	"connect without server root cert sslmode=require");
+	"connect without server root cert sslmode=require"
+);
 test_connect_fails(
 	$common_connstr,
 	"sslrootcert=invalid sslmode=verify-ca",
 	qr/root certificate file "invalid" does not exist/,
-	"connect without server root cert sslmode=verify-ca");
+	"connect without server root cert sslmode=verify-ca"
+);
 test_connect_fails(
 	$common_connstr,
 	"sslrootcert=invalid sslmode=verify-full",
 	qr/root certificate file "invalid" does not exist/,
-	"connect without server root cert sslmode=verify-full");
+	"connect without server root cert sslmode=verify-full"
+);
 
 # Try with wrong root cert, should fail. (We're using the client CA as the
 # root, but the server's key is signed by the server CA.)
@@ -135,26 +140,31 @@ test_connect_fails($common_connstr,
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=require",
-	"connect with correct server CA cert file sslmode=require");
+	"connect with correct server CA cert file sslmode=require"
+);
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca",
-	"connect with correct server CA cert file sslmode=verify-ca");
+	"connect with correct server CA cert file sslmode=verify-ca"
+);
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-full",
-	"connect with correct server CA cert file sslmode=verify-full");
+	"connect with correct server CA cert file sslmode=verify-full"
+);
 
 # Test with cert root file that contains two certificates. The client should
 # be able to pick the right one, regardless of the order in the file.
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/both-cas-1.crt sslmode=verify-ca",
-	"cert root file that contains two certificates, order 1");
+	"cert root file that contains two certificates, order 1"
+);
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/both-cas-2.crt sslmode=verify-ca",
-	"cert root file that contains two certificates, order 2");
+	"cert root file that contains two certificates, order 2"
+);
 
 # CRL tests
 
@@ -162,20 +172,23 @@ test_connect_ok(
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca sslcrl=invalid",
-	"sslcrl option with invalid file name");
+	"sslcrl option with invalid file name"
+);
 
 # A CRL belonging to a different CA is not accepted, fails
 test_connect_fails(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca sslcrl=ssl/client.crl",
 	qr/SSL error/,
-	"CRL belonging to a different CA");
+	"CRL belonging to a different CA"
+);
 
 # With the correct CRL, succeeds (this cert is not revoked)
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca sslcrl=ssl/root+server.crl",
-	"CRL with a non-revoked cert");
+	"CRL with a non-revoked cert"
+);
 
 # Check that connecting with verify-full fails, when the hostname doesn't
 # match the hostname in the server's certificate.
@@ -185,16 +198,19 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"sslmode=require host=wronghost.test",
-	"mismatch between host name and server certificate sslmode=require");
+	"mismatch between host name and server certificate sslmode=require"
+);
 test_connect_ok(
 	$common_connstr,
 	"sslmode=verify-ca host=wronghost.test",
-	"mismatch between host name and server certificate sslmode=verify-ca");
+	"mismatch between host name and server certificate sslmode=verify-ca"
+);
 test_connect_fails(
 	$common_connstr,
 	"sslmode=verify-full host=wronghost.test",
 	qr/\Qserver certificate for "common-name.pg-ssltest.test" does not match host name "wronghost.test"\E/,
-	"mismatch between host name and server certificate sslmode=verify-full");
+	"mismatch between host name and server certificate sslmode=verify-full"
+);
 
 # Test Subject Alternative Names.
 switch_server_cert($node, 'server-multiple-alt-names');
@@ -205,26 +221,31 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"host=dns1.alt-name.pg-ssltest.test",
-	"host name matching with X.509 Subject Alternative Names 1");
+	"host name matching with X.509 Subject Alternative Names 1"
+);
 test_connect_ok(
 	$common_connstr,
 	"host=dns2.alt-name.pg-ssltest.test",
-	"host name matching with X.509 Subject Alternative Names 2");
+	"host name matching with X.509 Subject Alternative Names 2"
+);
 test_connect_ok(
 	$common_connstr,
 	"host=foo.wildcard.pg-ssltest.test",
-	"host name matching with X.509 Subject Alternative Names wildcard");
+	"host name matching with X.509 Subject Alternative Names wildcard"
+);
 
 test_connect_fails(
 	$common_connstr,
 	"host=wronghost.alt-name.pg-ssltest.test",
 	qr/\Qserver certificate for "dns1.alt-name.pg-ssltest.test" (and 2 other names) does not match host name "wronghost.alt-name.pg-ssltest.test"\E/,
-	"host name not matching with X.509 Subject Alternative Names");
+	"host name not matching with X.509 Subject Alternative Names"
+);
 test_connect_fails(
 	$common_connstr,
 	"host=deep.subdomain.wildcard.pg-ssltest.test",
 	qr/\Qserver certificate for "dns1.alt-name.pg-ssltest.test" (and 2 other names) does not match host name "deep.subdomain.wildcard.pg-ssltest.test"\E/,
-	"host name not matching with X.509 Subject Alternative Names wildcard");
+	"host name not matching with X.509 Subject Alternative Names wildcard"
+);
 
 # Test certificate with a single Subject Alternative Name. (this gives a
 # slightly different error message, that's all)
@@ -236,13 +257,15 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"host=single.alt-name.pg-ssltest.test",
-	"host name matching with a single X.509 Subject Alternative Name");
+	"host name matching with a single X.509 Subject Alternative Name"
+);
 
 test_connect_fails(
 	$common_connstr,
 	"host=wronghost.alt-name.pg-ssltest.test",
 	qr/\Qserver certificate for "single.alt-name.pg-ssltest.test" does not match host name "wronghost.alt-name.pg-ssltest.test"\E/,
-	"host name not matching with a single X.509 Subject Alternative Name");
+	"host name not matching with a single X.509 Subject Alternative Name"
+);
 test_connect_fails(
 	$common_connstr,
 	"host=deep.subdomain.wildcard.pg-ssltest.test",
@@ -260,16 +283,19 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"host=dns1.alt-name.pg-ssltest.test",
-	"certificate with both a CN and SANs 1");
+	"certificate with both a CN and SANs 1"
+);
 test_connect_ok(
 	$common_connstr,
 	"host=dns2.alt-name.pg-ssltest.test",
-	"certificate with both a CN and SANs 2");
+	"certificate with both a CN and SANs 2"
+);
 test_connect_fails(
 	$common_connstr,
 	"host=common-name.pg-ssltest.test",
 	qr/\Qserver certificate for "dns1.alt-name.pg-ssltest.test" (and 1 other name) does not match host name "common-name.pg-ssltest.test"\E/,
-	"certificate with both a CN and SANs ignores CN");
+	"certificate with both a CN and SANs ignores CN"
+);
 
 # Finally, test a server certificate that has no CN or SANs. Of course, that's
 # not a very sensible certificate, but libpq should handle it gracefully.
@@ -280,12 +306,14 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"sslmode=verify-ca host=common-name.pg-ssltest.test",
-	"server certificate without CN or SANs sslmode=verify-ca");
+	"server certificate without CN or SANs sslmode=verify-ca"
+);
 test_connect_fails(
 	$common_connstr,
 	"sslmode=verify-full host=common-name.pg-ssltest.test",
 	qr/could not get server's host name from server certificate/,
-	"server certificate without CN or SANs sslmode=verify-full");
+	"server certificate without CN or SANs sslmode=verify-full"
+);
 
 # Test that the CRL works
 switch_server_cert($node, 'server-revoked');
@@ -297,12 +325,14 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca",
-	"connects without client-side CRL");
+	"connects without client-side CRL"
+);
 test_connect_fails(
 	$common_connstr,
 	"sslrootcert=ssl/root+server_ca.crt sslmode=verify-ca sslcrl=ssl/root+server.crl",
 	qr/SSL error/,
-	"does not connect with client-side CRL");
+	"does not connect with client-side CRL"
+);
 
 ### Server-side tests.
 ###
@@ -318,20 +348,23 @@ test_connect_fails(
 	$common_connstr,
 	"user=ssltestuser sslcert=invalid",
 	qr/connection requires a valid client certificate/,
-	"certificate authorization fails without client cert");
+	"certificate authorization fails without client cert"
+);
 
 # correct client cert
 test_connect_ok(
 	$common_connstr,
 	"user=ssltestuser sslcert=ssl/client.crt sslkey=ssl/client_tmp.key",
-	"certificate authorization succeeds with correct client cert");
+	"certificate authorization succeeds with correct client cert"
+);
 
 # client key with wrong permissions
 test_connect_fails(
 	$common_connstr,
 	"user=ssltestuser sslcert=ssl/client.crt sslkey=ssl/client_wrongperms_tmp.key",
 	qr!\Qprivate key file "ssl/client_wrongperms_tmp.key" has group or world access\E!,
-	"certificate authorization fails because of file permissions");
+	"certificate authorization fails because of file permissions"
+);
 
 # client cert belonging to another user
 test_connect_fails(
@@ -346,7 +379,8 @@ test_connect_fails(
 	$common_connstr,
 	"user=ssltestuser sslcert=ssl/client-revoked.crt sslkey=ssl/client-revoked_tmp.key",
 	qr/SSL error/,
-	"certificate authorization fails with revoked client cert");
+	"certificate authorization fails with revoked client cert"
+);
 
 # intermediate client_ca.crt is provided by client, and isn't in server's ssl_ca_file
 switch_server_cert($node, 'server-cn-only', 'root_ca');
@@ -356,7 +390,8 @@ $common_connstr =
 test_connect_ok(
 	$common_connstr,
 	"sslmode=require sslcert=ssl/client+client_ca.crt",
-	"intermediate client certificate is provided by client");
+	"intermediate client certificate is provided by client"
+);
 test_connect_fails($common_connstr, "sslmode=require sslcert=ssl/client.crt",
 	qr/SSL error/, "intermediate client certificate is missing");
 
diff --git a/src/test/ssl/t/002_scram.pl b/src/test/ssl/t/002_scram.pl
index 52a8f45..b5c34ec 100644
--- a/src/test/ssl/t/002_scram.pl
+++ b/src/test/ssl/t/002_scram.pl
@@ -53,7 +53,8 @@ test_connect_ok($common_connstr, '',
 test_connect_ok(
 	$common_connstr,
 	"scram_channel_binding=tls-unique",
-	"SCRAM authentication with tls-unique as channel binding");
+	"SCRAM authentication with tls-unique as channel binding"
+);
 test_connect_ok($common_connstr, "scram_channel_binding=''",
 	"SCRAM authentication without channel binding");
 if ($supports_tls_server_end_point)
@@ -61,7 +62,8 @@ if ($supports_tls_server_end_point)
 	test_connect_ok(
 		$common_connstr,
 		"scram_channel_binding=tls-server-end-point",
-		"SCRAM authentication with tls-server-end-point as channel binding");
+		"SCRAM authentication with tls-server-end-point as channel binding"
+	);
 }
 else
 {
@@ -69,13 +71,15 @@ else
 		$common_connstr,
 		"scram_channel_binding=tls-server-end-point",
 		qr/channel binding type "tls-server-end-point" is not supported by this build/,
-		"SCRAM authentication with tls-server-end-point as channel binding");
+		"SCRAM authentication with tls-server-end-point as channel binding"
+	);
 	$number_of_tests++;
 }
 test_connect_fails(
 	$common_connstr,
 	"scram_channel_binding=not-exists",
 	qr/unsupported SCRAM channel-binding type/,
-	"SCRAM authentication with invalid channel binding");
+	"SCRAM authentication with invalid channel binding"
+);
 
 done_testing($number_of_tests);
diff --git a/src/test/subscription/t/001_rep_changes.pl b/src/test/subscription/t/001_rep_changes.pl
index 503556f..4fcb22d 100644
--- a/src/test/subscription/t/001_rep_changes.pl
+++ b/src/test/subscription/t/001_rep_changes.pl
@@ -115,8 +115,10 @@ is($result, qq(20|-20|-1), 'check replicated changes on subscriber');
 
 $result =
   $node_subscriber->safe_psql('postgres', "SELECT c, b, a FROM tab_mixed");
-is( $result, qq(|foo|1
-|bar|2), 'check replicated changes with different column order');
+is(
+	$result, qq(|foo|1
+|bar|2), 'check replicated changes with different column order'
+);
 
 $result = $node_subscriber->safe_psql('postgres',
 	"SELECT count(*), min(a), max(a) FROM tab_include");
@@ -155,10 +157,12 @@ is($result, qq(20|1|100),
 
 $result = $node_subscriber->safe_psql('postgres',
 	"SELECT x FROM tab_full2 ORDER BY 1");
-is( $result, qq(a
+is(
+	$result, qq(a
 bb
 bb),
-	'update works with REPLICA IDENTITY FULL and text datums');
+	'update works with REPLICA IDENTITY FULL and text datums'
+);
 
 # check that change of connection string and/or publication list causes
 # restart of subscription workers. Not all of these are registered as tests
diff --git a/src/test/subscription/t/002_types.pl b/src/test/subscription/t/002_types.pl
index a49e56f..12bacbc 100644
--- a/src/test/subscription/t/002_types.pl
+++ b/src/test/subscription/t/002_types.pl
@@ -240,7 +240,8 @@ $node_publisher->safe_psql(
 		(2, '"zzz"=>"foo"'),
 		(3, '"123"=>"321"'),
 		(4, '"yellow horse"=>"moaned"');
-));
+)
+);
 
 $node_publisher->wait_for_catchup($appname);
 
@@ -262,9 +263,11 @@ my $result = $node_subscriber->safe_psql(
 	SELECT a, b FROM tst_range ORDER BY a;
 	SELECT a, b, c FROM tst_range_array ORDER BY a;
 	SELECT a, b FROM tst_hstore ORDER BY a;
-));
+)
+);
 
-is( $result, '1|{1,2,3}
+is(
+	$result, '1|{1,2,3}
 2|{2,3,1}
 3|{3,2,1}
 4|{4,3,2}
@@ -329,7 +332,8 @@ e|{d,NULL}
 2|"zzz"=>"foo"
 3|"123"=>"321"
 4|"yellow horse"=>"moaned"',
-	'check replicated inserts on subscriber');
+	'check replicated inserts on subscriber'
+);
 
 # Run batch of updates
 $node_publisher->safe_psql(
@@ -361,7 +365,8 @@ $node_publisher->safe_psql(
 	UPDATE tst_range_array SET b = tstzrange('Mon Aug 04 00:00:00 2014 CEST'::timestamptz, 'infinity'), c = '{NULL, "[11,9999999]"}' WHERE a > 3;
 	UPDATE tst_hstore SET b = '"updated"=>"value"' WHERE a < 3;
 	UPDATE tst_hstore SET b = '"also"=>"updated"' WHERE a = 3;
-));
+)
+);
 
 $node_publisher->wait_for_catchup($appname);
 
@@ -383,9 +388,11 @@ $result = $node_subscriber->safe_psql(
 	SELECT a, b FROM tst_range ORDER BY a;
 	SELECT a, b, c FROM tst_range_array ORDER BY a;
 	SELECT a, b FROM tst_hstore ORDER BY a;
-));
+)
+);
 
-is( $result, '1|{4,5,6}
+is(
+	$result, '1|{4,5,6}
 2|{2,3,1}
 3|{3,2,1}
 4|{4,5,6,1}
@@ -450,7 +457,8 @@ e|{e,d}
 2|"updated"=>"value"
 3|"also"=>"updated"
 4|"yellow horse"=>"moaned"',
-	'check replicated updates on subscriber');
+	'check replicated updates on subscriber'
+);
 
 # Run batch of deletes
 $node_publisher->safe_psql(
@@ -481,7 +489,8 @@ $node_publisher->safe_psql(
 	DELETE FROM tst_range_array WHERE a = 1;
 	DELETE FROM tst_range_array WHERE tstzrange('Mon Aug 04 00:00:00 2014 CEST'::timestamptz, 'Mon Aug 05 00:00:00 2014 CEST'::timestamptz) && b;
 	DELETE FROM tst_hstore WHERE a = 1;
-));
+)
+);
 
 $node_publisher->wait_for_catchup($appname);
 
@@ -503,9 +512,11 @@ $result = $node_subscriber->safe_psql(
 	SELECT a, b FROM tst_range ORDER BY a;
 	SELECT a, b, c FROM tst_range_array ORDER BY a;
 	SELECT a, b FROM tst_hstore ORDER BY a;
-));
+)
+);
 
-is( $result, '3|{3,2,1}
+is(
+	$result, '3|{3,2,1}
 4|{4,5,6,1}
 5|{4,5,6,1}
 {3,1,2}|{c,a,b}|{3.3,1.1,2.2}|{"3 years","1 year","2 years"}
@@ -539,7 +550,8 @@ e|{e,d}
 2|"updated"=>"value"
 3|"also"=>"updated"
 4|"yellow horse"=>"moaned"',
-	'check replicated deletes on subscriber');
+	'check replicated deletes on subscriber'
+);
 
 $node_subscriber->stop('fast');
 $node_publisher->stop('fast');
diff --git a/src/test/subscription/t/003_constraints.pl b/src/test/subscription/t/003_constraints.pl
index a5b548e..90edfd4 100644
--- a/src/test/subscription/t/003_constraints.pl
+++ b/src/test/subscription/t/003_constraints.pl
@@ -92,7 +92,8 @@ CREATE TRIGGER filter_basic_dml_trg
     BEFORE INSERT ON tab_fk_ref
     FOR EACH ROW EXECUTE PROCEDURE filter_basic_dml_fn();
 ALTER TABLE tab_fk_ref ENABLE REPLICA TRIGGER filter_basic_dml_trg;
-});
+}
+);
 
 # Insert data
 $node_publisher->safe_psql('postgres',
diff --git a/src/test/subscription/t/005_encoding.pl b/src/test/subscription/t/005_encoding.pl
index 1977aa5..949ae72 100644
--- a/src/test/subscription/t/005_encoding.pl
+++ b/src/test/subscription/t/005_encoding.pl
@@ -8,13 +8,15 @@ use Test::More tests => 1;
 my $node_publisher = get_new_node('publisher');
 $node_publisher->init(
 	allows_streaming => 'logical',
-	extra            => [ '--locale=C', '--encoding=UTF8' ]);
+	extra            => [ '--locale=C', '--encoding=UTF8' ]
+);
 $node_publisher->start;
 
 my $node_subscriber = get_new_node('subscriber');
 $node_subscriber->init(
 	allows_streaming => 'logical',
-	extra            => [ '--locale=C', '--encoding=LATIN1' ]);
+	extra            => [ '--locale=C', '--encoding=LATIN1' ]
+);
 $node_subscriber->start;
 
 my $ddl = "CREATE TABLE test1 (a int, b text);";
@@ -43,11 +45,13 @@ $node_publisher->safe_psql('postgres',
 
 $node_publisher->wait_for_catchup($appname);
 
-is( $node_subscriber->safe_psql(
+is(
+	$node_subscriber->safe_psql(
 		'postgres', q{SELECT a FROM test1 WHERE b = E'Mot\xf6rhead'}
 	),                                                     # LATIN1
 	qq(1),
-	'data replicated to subscriber');
+	'data replicated to subscriber'
+);
 
 $node_subscriber->stop;
 $node_publisher->stop;
diff --git a/src/test/subscription/t/006_rewrite.pl b/src/test/subscription/t/006_rewrite.pl
index e470c07..9cd14fe 100644
--- a/src/test/subscription/t/006_rewrite.pl
+++ b/src/test/subscription/t/006_rewrite.pl
@@ -39,10 +39,12 @@ $node_publisher->safe_psql('postgres',
 
 $node_publisher->wait_for_catchup($appname);
 
-is( $node_subscriber->safe_psql('postgres', q{SELECT a, b FROM test1}),
+is(
+	$node_subscriber->safe_psql('postgres', q{SELECT a, b FROM test1}),
 	qq(1|one
 2|two),
-	'initial data replicated to subscriber');
+	'initial data replicated to subscriber'
+);
 
 # DDL that causes a heap rewrite
 my $ddl2 = "ALTER TABLE test1 ADD c int NOT NULL DEFAULT 0;";
@@ -56,11 +58,13 @@ $node_publisher->safe_psql('postgres',
 
 $node_publisher->wait_for_catchup($appname);
 
-is( $node_subscriber->safe_psql('postgres', q{SELECT a, b, c FROM test1}),
+is(
+	$node_subscriber->safe_psql('postgres', q{SELECT a, b, c FROM test1}),
 	qq(1|one|0
 2|two|0
 3|three|33),
-	'data replicated to subscriber');
+	'data replicated to subscriber'
+);
 
 $node_subscriber->stop;
 $node_publisher->stop;
